# smfi_stop

SYNOPSIS |
    #include <libmilter/mfapi.h>
    int smfi_stop(void);
Start an orderly shutdown of the milter. No connections will be accepted after this call.
DESCRIPTION |
Called When | Called from any of the Callback routines or any error-handling routines at any time.
Effects | The smfi_stop routine causes each thread to finish its current connection, then exit. When all threads have exited, the call to smfi_main returns to your calling program, which may then exit or warm-restart.
ARGUMENTS |
Argument | Description
--- | ---
void | Takes no arguement.
RETURN VALUES | smfi_stop always returns SMFI_CONTINUE. But note: Another internal routine may already have asked the milter to abort. Another routine may already have asked the milter to stop. There is no way to cancel the stop process once it has begun.

Copyright (c) 2003 Sendmail, Inc. and its suppliers. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the LICENSE.